Package org.eclipse.emf.cdo.common.branch

## Class CDOBranchPointRef

- java.lang.Object
- - org.eclipse.emf.cdo.common.branch.CDOBranchPointRef

- All Implemented Interfaces:
    `java.io.Serializable`

      public final class CDOBranchPointRef
      extends java.lang.Object
      implements java.io.Serializable

  References a `CDOBranchPoint`.
  Since:
    4.10
  Author:
    Eike Stepper
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static interface` | `CDOBranchPointRef.Provider` | Provides `branch point references`.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `BASE` |
    `static java.lang.String` | `HEAD` |
    `static CDOBranchPointRef` | `MAIN_HEAD` |
    `static java.lang.String` | `URI_SEPARATOR` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CDOBranchPointRef​(java.lang.String uri)` |
    `CDOBranchPointRef​(java.lang.String branchPath, long timeStamp)` |
    `CDOBranchPointRef​(CDOBranchPoint branchPoint)` |
    `CDOBranchPointRef​(CDOBranchRef branchRef, long timeStamp)` |
    `CDOBranchPointRef​(CDODataInput in)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getBranchPath()` |
    `CDOBranchRef` | `getBranchRef()` |
    `long` | `getTimeStamp()` |
    `java.lang.String` | `getTimeStampSpec()` |
    `java.lang.String` | `getURI()` |
    `int` | `hashCode()` |
    `boolean` | `isBase()` |
    `boolean` | `isHead()` |
    `CDOBranchPoint` | `resolve​(CDOBranchManager branchManager)` |
    `java.lang.String` | `toString()` |
    `void` | `write​(CDODataOutput out)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### MAIN_HEAD

          public static final CDOBranchPointRef MAIN_HEAD

      Since:
        4.12

    - #### URI_SEPARATOR

          public static final java.lang.String URI_SEPARATOR

      See Also:
        Constant Field Values

    - #### BASE

          public static final java.lang.String BASE

      See Also:
        Constant Field Values

    - #### HEAD

          public static final java.lang.String HEAD

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CDOBranchPointRef

          public CDOBranchPointRef​(CDOBranchPoint branchPoint)

    - #### CDOBranchPointRef

          public CDOBranchPointRef​(CDOBranchRef branchRef,
                                   long timeStamp)

      Since:
        4.12

    - #### CDOBranchPointRef

          public CDOBranchPointRef​(java.lang.String branchPath,
                                   long timeStamp)

    - #### CDOBranchPointRef

          public CDOBranchPointRef​(java.lang.String uri)

    - #### CDOBranchPointRef

          public CDOBranchPointRef​(CDODataInput in)
                            throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### write

          public void write​(CDODataOutput out)
                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getURI

          public java.lang.String getURI()

    - #### getBranchRef

          public CDOBranchRef getBranchRef()

      Since:
        4.12

    - #### getBranchPath

          public java.lang.String getBranchPath()

    - #### getTimeStamp

          public long getTimeStamp()

    - #### getTimeStampSpec

          public java.lang.String getTimeStampSpec()

    - #### isBase

          public boolean isBase()

    - #### isHead

          public boolean isHead()

    - #### resolve

          public CDOBranchPoint resolve​(CDOBranchManager branchManager)

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`